import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
interface TabType {
    key: string;
    label: string;
    content: React.ReactNode;
}
export interface TabsCustomProps {
    tabs: TabType[];
}
export declare type TabsElementType = HTMLDivElement;
export declare type TabsProps = Omit<CommonAndHTMLProps<TabsElementType>, keyof TabsCustomProps> & TabsCustomProps;
export declare const Tabs: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, "tabs"> & TabsCustomProps & React.RefAttributes<HTMLDivElement>>;
export {};
